# eric6.E5Gui.E5ToolBox

Module implementing a horizontal and a vertical toolbox class.

### Global Attributes

None

### Classes

E5HorizontalToolBox | Class implementing a vertical QToolBox like widget.
E5VerticalToolBox | Class implementing a ToolBox class substituting QToolBox to support wheel events.

### Functions

None

## E5HorizontalToolBox

Class implementing a vertical QToolBox like widget.

### Derived from

E5TabWidget

### Class Attributes

None

### Class Methods

None

### Methods

E5HorizontalToolBox | Constructor
addItem | Public method to add a widget to the toolbox.
insertItem | Public method to add a widget to the toolbox.
removeItem | Public method to remove a widget from the toolbox.
setItemEnabled | Public method to set the enabled state of an item.
setItemToolTip | Public method to set the tooltip of an item.

### Static Methods

None

#### E5HorizontalToolBox (Constructor)

E5HorizontalToolBox(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

#### E5HorizontalToolBox.addItem

addItem(widget, icon, text)

Public method to add a widget to the toolbox.

widget
  reference to the widget to be added (QWidget)
icon
  the icon to be shown (QIcon)
text
  the text to be shown (string)

Returns:
  index of the added widget (integer)

#### E5HorizontalToolBox.insertItem

insertItem(index, widget, icon, text)

Public method to add a widget to the toolbox.

index
  position at which the widget should be inserted (integer)
widget
  reference to the widget to be added (QWidget)
icon
  the icon to be shown (QIcon)
text
  the text to be shown (string)

Returns:
  index of the added widget (integer)

#### E5HorizontalToolBox.removeItem

removeItem(index)

Public method to remove a widget from the toolbox.

index
  index of the widget to remove (integer)

#### E5HorizontalToolBox.setItemEnabled

setItemEnabled(index, enabled)

Public method to set the enabled state of an item.

index
  index of the item (integer)
enabled
  flag indicating the enabled state (boolean)

#### E5HorizontalToolBox.setItemToolTip

setItemToolTip(index, toolTip)

Public method to set the tooltip of an item.

index
  index of the item (integer)
toolTip
  tooltip text to be set (string)

Up

## E5VerticalToolBox

Class implementing a ToolBox class substituting QToolBox to support wheel events.

### Derived from

QToolBox

### Class Attributes

None

### Class Methods

None

### Methods

E5VerticalToolBox | Constructor

### Static Methods

None

#### E5VerticalToolBox (Constructor)

E5VerticalToolBox(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

Up